package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class ExercisePageReq  extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @NotNull(message = "当前页数不能为空")
    @ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int pageNo;

    @ApiModelProperty(name="name",value = "搜索关键字",required = false)
    private String name;
    @NotNull(message = "每页张数不能为空")
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private  int pageSize;

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}

